%AnalyseMCPatialyRefBounday
%load in data made from beam with 0.03 absorbance
[m00,d00] = ExamineDMC('MC PETERS 3400000 06-May-2001 1315.dmc');
[m15,d15] = ExamineDMC('MC PAULG 3431500 08-May-2001 0348.dmc');
[m47,d47] = ExamineDMC('MC PAULG 3434700 03-May-2001 2245.dmc');
[m90,d90] = ExamineDMC('MC PAULG 3439000 06-May-2001 0835.dmc');

[m00b,d00b] = ExamineDMC('MC PETERS 1M 3431500 23-May-2001 0030.dmc');
[m15b,d15b] = ExamineDMC('MC PAULG 1M 3400000 22-May-2001 2208.dmc');

scale = 1000
x = [.25:.5:49.75]; %0.5mm blocks placed in the center of each over a 50mm model (100 cells)
f2
hold on
title('Point beam source 0.01 absorbance 10 scattering')
plot(x,d00.CFibreiso(1:100)*scale,'b-')
plot(x,d15.CFibreiso(1:100)*scale,'r--')
plot(x,d47.CFibreiso(1:100)*scale,'k-.')
plot(x,d90.CFibreiso(1:100)*scale,'g:')

plot(x,d00.CFibre(1:100)*scale,'b-')
plot(x,d15.CFibre(1:100)*scale,'r--')
plot(x,d47.CFibre(1:100)*scale,'k-.')
plot(x,d90.CFibre(1:100)*scale,'g:')

set(gca,'YScale','log')


%1M resolution simulation
f2
hold on
title('Point beam source 0.01 absorbance 10 scattering 1M')
plot(x,d00b.CFibreiso(1:100)*scale,'b-')
plot(x,d15b.CFibreiso(1:100)*scale,'r--')


plot(x,d00b.CFibre(1:100)*scale,'b-')
plot(x,d15b.CFibre(1:100)*scale,'r--')
set(gca,'YScale','log')
